glibmm 2.30.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gio::ResolverError Class Reference

`#include <giomm/error.h>`

Inheritance diagram for Gio::ResolverError:
[legend]

List of all members.

## Public Types
enum | Code { NOT_FOUND, TEMPORARY_FAILURE, INTERNAL }
## Public Member Functions
| ResolverError (Code error_code, const Glib::ustring& error_message)
| ResolverError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gio::ResolverError::Code

Enumerator:

  NOT_FOUND |
  TEMPORARY_FAILURE |
  INTERNAL |

## Constructor & Destructor Documentation

Gio::ResolverError::ResolverError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::ResolverError::ResolverError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gio::ResolverError::code | ( |  | ) | const

Reimplemented from Glib::Error.